Kerbal Space Program - Bug #3896

Broken save keeps getting broken
12/24/2014 11:22 PM - barnaba

Status: Duplicate Start date: 12/24/2014
Severity: Normal % Done: 100%
Assignee:

Category: Application

Target version:

Version: 0.90 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

Hello,

I've been playing hard mode for a while with a bunch of mods. Somewhere after an unmanned mission to duna and before my
mission to eve the save file started getting corrupted every few hours.

How is the save broken: After loading the saved career mode | get to see the KSC. There | can't click in any way (LMB nor RMB) on
VAB or SPH. | can enter some buildings (notably R&D building, which works - | can research tech - but doesn't return to KSC after
leaving - | get a KSC top toolbar overlayed on R&D view. At this point everything becomes unresponsive). | can enter launchpad, but
editing a vessel from there makes the game unresponsive.

What | do: Get the latest persistent.sfs file backup and rename it. This works for a while, most often enough time to create one more
backup, before breaking persistent.sfs file again.

How the save game gets broken: The game sort of freezes. menus become unresponsive (although there's a click animation). | have
to kill it with alt-f4 or xkill and restart. This always produces a broken persistent.sfs file.

| attach the career files from the saves directory as 'beta hard.tar.gz". The current persistent.sfs file is the broken one. The KSP.log is
the logfile naturally. Tree.ixt is the output of 'tree ~"/.local/share/Steam/SteamApps/common/Kerbal Space Program™. The Gamedata

folder won't fit here, so I've uploaded it to dropbox: https://dl.dropboxusercontent.com/u/10621643/gamedata.tar.gz

System:

Isb_release -a:

Distributor ID: Ubuntu

Description:  Ubuntu 14.04.1 LTS
Release: 14.04

Codename: trusty

uname -a: Linux fasada 3.13.0-41-generic #70-Ubuntu SMP Tue Nov 25 14:40:34 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
Ispci -vvnn: in a file Ispci.txt
If you need any more info, just ask.

Thanks,
Barnaba

Related issues:
Related to Kerbal Space Program - Bug #3243: Kerbals missing from the CrewRos... Closed 09/26/2014

History

#1 - 12/24/2014 11:27 PM - barnaba

Oh, some clarifications:

all¢ The save does the exact same thing even when | unload all of the mods (clear the gamedata folder leaving only stock stuff). i.e. you get an
unresponsive KSC. So you shouldn't have to bother downloading the gamedata just to reproduce.

all¢ If | exit the save without crashing it (by entering buildings) | can start a new career that works without restarting the game.
all¢ This | believe is stated in OP, but is crucial: loading one of the late working backups fixes the problem, but it reappears.
https://dl.dropboxusercontent.com/u/10621643/gamedata.tar.gz

#2 - 12/24/2014 11:38 PM - barnaba
- File KSP.log added

Sorry for another update, but I've just realized that the logfile only keeps the log of one game, and the one I've provided wasn't the one with a crash.

So here's the new KSP.log and step-by-step explanation of what | did:

1. removed everything from GameData folder except NASAmission and Squad dirs.

2. started the game.

3. loaded the beta hard carrer

4. clicked through all the popups telling me that vessels haven't loaded properly, because I've removed all the mods.
4. Tried to enter VAB, nothing.

5. Entered launchpad, clicked edit.

6. Tried clicking on stuff, and nothing was responding. | was free to move the camera though.

7. alt-f4

#3 - 12/25/2014 02:58 PM - Scharnvirk
- File KSP.zip added
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirmed on windows.

Loaded up the game from the "beta hard" save state, got some errors due to missing parts but otherwise the game has loaded correctly.
Nothing happens when | click the VAB.

| was able to enter R&D and the facility itself seems to work properly, but it is impossible to exit it. It is also impossible to quit to menu from the
popup-menu which appears after pressing ESC.

The problem is especially visible in KSP.log file, which constantly adds these three lines, even through the game is currently alt-tabbed:

[EXC 21:56:19.635] MissingFieldException: Field '.EditorLogic.editorLocked' not found.
KLF.KLFManager.drawGUI ()
KLF.KLFManager.OnGUI ()

(I've included this file zipped - it has quickly grown to over 5 MB).

My mods:

Ferram Aerospace Research,
Chatterer,

KerbalEngineer,
ProcedularFairings,
TextureReplacer,

VOID

System:
Windows 7 64 bit

#4 - 12/28/2014 07:08 AM - Ineluki

- File Stormking-2.7z added

- File KSP.log added

The same thing happened to me on Win7 x64, so | didn't want to open a new issue.
Issues that persistently appear after loading the last save (persistent):

- When trying to exit a facility via button, the campus-gui loads, but the old gui stays in place and overlaps
- Some facilities cannot be entered at all

Reproducable: always
Version: 0.90

#5 - 01/01/2015 11:39 AM - darkdimius
I'm consistently experiencing similar problems on OS X without any mods, this breaks whole game for me, as I'm not able to do more than 10

launches before game controls break.

#6 - 01/01/2015 06:47 PM - RexKramer

Everyone, | suspect bug #3243 is the cause here. It affects all platforms.
https://bugs.kerbalspaceprogram.com/issues/3243

Claw has a couple of methods of correcting the issue, you can find links from #3243. That bug begins when a Kerbal is referenced by an

achievement, but then is fired, or removed from the crew roster.

If possible, please take a look at #3243, and post back here if that sounds like what may be happening to you.

Edit- Claw's fixes are not linked in 3243. I'll post a link to the location later.

#7 - 01/01/2015 07:45 PM - RexKramer

Ok, here's a link to a forum page where Claw has a description of the issue, and a couple of ways to fix it.

http://forum.kerbalspaceprogram.com/threads/105651-FIX-KSC-Buildings-Lock-Up-Can-t-Click-on-Anything-Firing-Kerbal-Crashes-Game

Again, please post back if this helps or not.

#8 - 01/02/2015 06:03 AM - barnaba

quick way to see if that's what's at fault at your save:

cat <(grep "crews =" persistent.sfs | sed -e 's/"\s*crews <(grep -1 "kerbalName =" persistent.sfs | sed
-e 's/"\s*kerbalName = //') | sort | unig > used

grep "KERBAL" -A2 persistent.sfs | grep name | sed —-e 's/"“\s*name = //' | | unig > crew

diff used crew | grep '"<!'

If you get any lines out of this, you have some unlisted kerbals. Adding them to the roster fixed my save.

Thanks a lot RexKramer. Unless anyone else still has a problem, | think it really is a duplicate of #3243.

#9 - 01/02/2015 08:13 AM - RexKramer

- Status changed from Confirmed to Duplicate

- % Done changed from 10 to 100

Glad it worked! I'm marking this one as a duplicate.

Files

beta hard.tar.gz 1.94 MB 12/24/2014 barnaba

KSP.log 266 KB 12/24/2014 barnaba

tree.txt 135 KB 12/24/2014 barnaba

Ispci.txt 9.46 KB 12/24/2014 barnaba

KSP.log 137 KB 12/24/2014 barnaba

KSP.zip 143 KB 12/25/2014 Scharnvirk

Stormking-2.7z 13.2 KB 12/28/2014 Ineluki

KSP.log 138 KB 12/28/2014 Ineluki
